diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/opers/who ircby-0.5-RC3/help/opers/who
--- ircd-hybrid-7.0.1/help/opers/who	Tue Nov 20 22:41:57 2001
+++ ircby-0.5-RC3/help/opers/who	Tue Mar 30 11:04:25 2004
@@ -1,36 +1,32 @@
 WHO <#channel|user>
 
-The WHO command displays information about a user, 
-such as their GECOS information, their user@host, 
-whether they are an IRC operator or not, etc.  A
-sample WHO result from a command issued like 
-"WHO pokey" may look something like this:
-
+Îòîáðàæàåò èíôîðìàöèþ î ïîëüçîâàòåëå, à èìåííî
+åãî user@host, ãåêîñ, ÿâëÿåòñÿ ëè îí îïåðàòîðîì è ò.ä.
+Ðåçóëüòàò ïðåäñòàâëÿåòñÿ â âèäå:
+ 
 #lamers pokey H pokey@ppp.newbies.net :0 Jim Jones
-
-The first field indicates the last channel the user
-has joined.  The second is the user's nickname.  
-The third field describes the status information about 
-the user.  The possible combinations for this field 
-are listed below:
-
-H	-	The user is not away.
-A	-	The user is set away.
-*	-	The user is an IRC operator.
-@	-	The user is a channel op in the channel listed
-                in the first field.
-+	-	The user is voiced in the channel listed.
-%	-	The user is a half-op in the channel listed.
-
-The next field contains the username@host of the user.  
-The final field displays the number of server hops and 
-the user's GECOS information.
-
-This command may be executed on a channel, such as
-"WHO #lamers"  The output will consist of WHO 
-listings for each user on the channel.
-
-This command may also be used in conjunction with wildcards 
-such as * and ?.
-
-See also: whois, userhost
+ 
+ïåðâîå ïîëå ïîêàçûâàåò ïîñëåäíèé êàíàë, íà êîòîðûé
+ïîëüçîâàòåëü çàøåë, çàòåì ïîêàçàí íèê. Äàëåå ñëåäóåò
+îïèñàíèå ñòàòóñà ïîëüçîâàòåëÿ. Âîçìîæíû êîìáèíàöèè:
+ 
+H  -  Ïîëüçîâàòåëü íå ïîìå÷åí êàê îòñóòñòâóþùèé.
+A  -  Ïîëüçîâàòåëü ïîìå÷åí êàê îòñóòñòâóþùèé.
+*  -  Ïîëüçîâàòåëü IRC operator.
+@  -  Ïîëüçîâàòåëü ÿâëÿåòñÿ îïåðàòîðîì êàíàëà,
+      óêàçàííîãî â ïåðâîì ïîëå.
++  -  Ïîëüçîâàòåëü èìååò âîèñ íà ýòîì êàíàëå.
+%  -  Ïîëüçîâàòåëü ïîëóîï íà ýòîì êàíàëå.
+ 
+Ñëåäóþùåå ïîëå ñîäåðæèò username@host ýòîãî ïîëüçîâàòåëÿ.
+Äàëåå ñëåäóåò êîëè÷åñòâî ñåðâåðîâ (òðàíçèòíûõ óçëîâ)
+ìåæäó Âàìè è ïîëüçîâàòåëåì, à òàêæå ãåêîñ-èíôîðìàöèÿ.
+ 
+Ýòó êîìàíäó ìîæíî âûïîëíèòü, óêàçàâ â êà÷åñòâå ïàðàìåòðà
+êàíàë. Ïðè ýòîì âûâåäåòñÿ WHO äëÿ êàæäîãî ïîëüçîâàòåëÿ íà
+ýòîì êàíàëå.
+ 
+Òàêæå ýòó êîìàíäó ìîæíî èñïîëüçîâàòü âìåñòå ñ ãðóïïîâûìè
+ñèìâîëàìè, òàêèìè êàê * è ?.
+ 
+Ñì. òàêæå: whois, userhost
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/opers/whois ircby-0.5-RC3/help/opers/whois
--- ircd-hybrid-7.0.1/help/opers/whois	Tue Nov 20 23:09:03 2001
+++ ircby-0.5-RC3/help/opers/whois	Tue Mar 30 11:04:25 2004
@@ -1,8 +1,5 @@
 WHOIS [remoteserver|nick] nick
 
-WHOIS will display detailed user information for
-the specified nick.  If the first parameter is
-specified, WHOIS will display information from
-the specified server, or the server that the
-user is on.  This is how to remotely see
-idle time and away status.
+Ïîêàæåò äåòàëüíóþ èíôîðìàöèþ îá óêàçàííîì íèêå.
+Åñëè óêàçàí óäàëåííûé ñåðâåð, òî îòîáðàçèòñÿ
+èíôîðìàöèÿ îò ýòîãî ñåðâåðà.
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/opers/whowas ircby-0.5-RC3/help/opers/whowas
--- ircd-hybrid-7.0.1/help/opers/whowas	Tue Nov 20 22:22:50 2001
+++ ircby-0.5-RC3/help/opers/whowas	Tue Mar 30 11:04:25 2004
@@ -1,8 +1,8 @@
 WHOWAS <nick>
 
-WHOWAS will show you the last known host and whois
-information for the specified nick.  Depending on the
-number of times they have connected to the network, there
-may be more than one listing for a specific user.
+Ïîêàæåò ïîñëåäíèé èçâåñòíûé õîñò è who äëÿ óêàçàííîãî
+íèêà. Â çàâèñèìîñòè îò êîëè÷åñòâà ñîåäèíåíèé çà 
+ïîñëåäíåå âðåìÿ, ìîæåò áûòü óêàçàíî íåñêîëüêî 
+ðåçóëüòàòîâ
 
-The WHOWAS data will expire after time.
+Äàííûå WHOWAS ñî âðåìåíåì óñòàðåâàþò.
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/users/index ircby-0.5-RC3/help/users/index
--- ircd-hybrid-7.0.1/help/users/index	Mon Jan  7 01:26:13 2002
+++ ircby-0.5-RC3/help/users/index	Tue Mar 30 11:04:25 2004
@@ -1,4 +1,4 @@
-Help topics available to users:
+Ïîìîùü ïî êîìàíäàì, äîñòóïíûì äëÿ ïîëüçîâàòåëåé:
 
 ACCEPT          ADMIN           AWAY            CHALLENGE
 CJOIN           CMODE           CREDITS         ERROR
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/users/info ircby-0.5-RC3/help/users/info
--- ircd-hybrid-7.0.1/help/users/info	Sun Nov 11 12:37:09 2001
+++ ircby-0.5-RC3/help/users/info	Tue Mar 30 11:04:25 2004
@@ -1,4 +1,3 @@
 INFO
 
-INFO displays the copyright, authors and contributors list
-for ircd.
+INFO ïîêàçûâàåò àâòîðñêèå ïðàâà, ñïèñîê àâòîðîâ è ïîìîùíèêîâ
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/users/notice ircby-0.5-RC3/help/users/notice
--- ircd-hybrid-7.0.1/help/users/notice	Thu Feb 28 11:14:17 2002
+++ ircby-0.5-RC3/help/users/notice	Tue Mar 30 11:04:25 2004
@@ -1,19 +1,18 @@
 NOTICE <nick|channel> :message
 
-NOTICE will send a notice message to the
-user or channel specified.
+NOTICE îòïðàâëÿåò èçâåùåíèå óêàçàííîìó ïîëüçîâàòåëþ
+èëè êàíàëó.
 
-NOTICE supports the following prefixes for sending
-messages to specific clients in a channel:
+NOTICE ïîääåðæèâàåò ñëåäóþùèå ïðåôèêñû äëÿ îòïðàâêè
+ñîîáùåíèé îòäåëüíûì ïîëüçîâàòåëÿì íà êàíàëå:
 
-@ - channel operators only
-% - channel operators and half-ops
-+ - operators, half-ops, and voiced users
+@ - òîëüêî îïåðàòîðàì êàíàëà
+% - îïåðàòîðàì è ïîëóîïåðàòîðàì êàíàëà
++ - îïåðàòîðàì, ïîëóîïàì è âîèñàì 
 
-The nick can be extended to fit into the following
-syntax:
+Íèê ìîæåò áûòü ïðåäñòàâëåí êàê: 
 
 username@servername
 
-This syntax is used to securely send a notice to a
-service or a bot.
+Òàêîé ñèíòàêñèñ èñïîëüçóåòñÿ äëÿ áåçîïàñíîãî 
+èçâåùåíèÿ ñåðâèñó èëè áîòó
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/users/privmsg ircby-0.5-RC3/help/users/privmsg
--- ircd-hybrid-7.0.1/help/users/privmsg	Thu Feb 28 11:14:17 2002
+++ ircby-0.5-RC3/help/users/privmsg	Tue Mar 30 11:04:25 2004
@@ -1,19 +1,18 @@
 PRIVMSG <nick|channel> :message
 
-PRIVMSG will send a standard message to the
-user or channel specified.
+PRIVMSG îòïðàâëÿåò ñòàíäàðòíîå ñîîáùåíèå óêàçàííîìó 
+ïîëüçîâàòåëþ èëè êàíàëó.
 
-PRIVMSG supports the following prefixes for sending
-messages to specific clients in a channel:
+PRIVMSG ïîääåðæèâàåò ñëåäóþùèå ïðåôèêñû äëÿ îòïðàâêè
+ñîîáùåíèé îòäåëüíûì ïîëüçîâàòåëÿì íà êàíàëå:
 
-@ - channel operators only
-% - channel operators and half-ops
-+ - operators, half-ops, and voiced users
+@ - òîëüêî îïåðàòîðàì êàíàëà
+% - îïåðàòîðàì è ïîëóîïåðàòîðàì êàíàëà
++ - îïåðàòîðàì, ïîëóîïàì è âîèñàì 
 
-The nick can be extended to fit into the following
-syntax:
+Íèê ìîæåò áûòü ïðåäñòàâëåí êàê: 
 
 username@servername
 
-This syntax is used to securely send a message to a
-service or a bot.
+Òàêîé ñèíòàêñèñ èñïîëüçóåòñÿ äëÿ áåçîïàñíîãî 
+ñîîáùåíèÿ ñåðâèñó èëè áîòó
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/users/stats ircby-0.5-RC3/help/users/stats
--- ircd-hybrid-7.0.1/help/users/stats	Tue Nov 20 22:22:51 2001
+++ ircby-0.5-RC3/help/users/stats	Tue Mar 30 11:04:25 2004
@@ -1,15 +1,14 @@
 STATS <letter> [server|nick]
 
-Queries server [server] (or your own server if no
-server parameter is given) for info corresponding to
-<letter>.
+Ñïðàøèâàåò [server] (èëè Âàø ñåðâåð, åñëè ïàðàìåòð íå 
+íå óêàçàí) îá èíôîðìàöèè, ñîîòâåòñòâóþùåé <letter>.
 
 LETTER
------- (^ = Can be configured to be oper only.)
-^ i - Shows I lines
-^ K - Shows K lines (or matched klines)
-^ k - Shows temporary K lines (or matched temp klines)
-  m - Shows commands and their usage
-^ o - Shows O/o lines
-  p - Shows opers connected and their idle times
-  u - Shows server uptime
+------ (^ = òîëüêî äëÿ îïåðàòîðîâ, åñëè òàê íàñòðîåí ñåðâåð)
+^ i - Ïîêàçûâàåò I-ëèíèè
+^ K - Ïîêàçûâàåò K-ëèíèè (èëè ïîäõîäÿùèå kline)
+^ k - Ïîêàçûâàåò âðåìåííûå K-ëèíèè (èëè ïîäõîäÿùèå âðåìåííûå klines)
+  m - Ïîêàçûâàåò êîìàíäû è èõ èñïîëüçîâàíèå
+^ o - Ïîêàçûâàåò O/o-ëèíèè
+  p - Ïîêàçûâàåò ïîäêëþ÷åíèå îïåðîâ è èõ âðåìÿ áåçäåéñòâèÿ
+  u - Ïîêàçûâàåò âðåìÿ ðàáîòû ñåðâåðà
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/users/umode ircby-0.5-RC3/help/users/umode
--- ircd-hybrid-7.0.1/help/users/umode	Tue Nov 20 22:22:51 2001
+++ ircby-0.5-RC3/help/users/umode	Tue Mar 30 11:04:25 2004
@@ -1,10 +1,11 @@
 MODE <nick> <+|-><modes>
 
-Usermodes:
+Ðåæèìû ïîëüçîâàòåëÿ:
 
-     USERMODE     DESCRIPTION
+       ÐÅÆÈÌ             ÎÏÈÑÀÍÈÅ  
 -----------------------------------------------------------------
-         +o     - Designates this client is an IRC Operator.
-                  Use the /oper command to attain this.
-         +i     - Designates this client 'invisible'.
-         +g     - "caller id" mode only allow accept clients to message you
+         +o     - Ïîìå÷àåò ïîëüçîâàòåëÿ êàê  IRC-îïåðàòîðà
+                  Èñïîëüçóéòå êîìàíäó /oper command äëÿ ïîëó÷åíèÿ
+         +i     - Ïîìå÷àåò ïîëüçîâàòåëÿ 'íåâèäèìûì'.
+         +g     - Ïîçâîëÿòü ïðèíèìàòü ñîîáùåíèÿ òîëüêî îò îïðåäåëåííûõ     
+                  ïîëüçîâàòåëåé (êîìàíäîé /accept)
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/include/auth.h ircby-0.5-RC3/iauth/include/auth.h
--- ircd-hybrid-7.0.1/iauth/include/auth.h	Tue Jan  4 19:20:01 2000
+++ ircby-0.5-RC3/iauth/include/auth.h	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: auth.h,v 7.5 2000/01/05 00:20:01 wnder Exp $
+ *   $Id: auth.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_auth_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/include/class.h ircby-0.5-RC3/iauth/include/class.h
--- ircd-hybrid-7.0.1/iauth/include/class.h	Tue Jan  4 19:20:02 2000
+++ ircby-0.5-RC3/iauth/include/class.h	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: class.h,v 7.2 2000/01/05 00:20:02 wnder Exp $
+ *   $Id: class.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_class_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/include/commands.h ircby-0.5-RC3/iauth/include/commands.h
--- ircd-hybrid-7.0.1/iauth/include/commands.h	Tue Jan  4 19:20:02 2000
+++ ircby-0.5-RC3/iauth/include/commands.h	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: commands.h,v 7.2 2000/01/05 00:20:02 wnder Exp $
+ *   $Id: commands.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_commands_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/include/conf.h ircby-0.5-RC3/iauth/include/conf.h
--- ircd-hybrid-7.0.1/iauth/include/conf.h	Tue Jan  4 19:20:02 2000
+++ ircby-0.5-RC3/iauth/include/conf.h	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: conf.h,v 7.4 2000/01/05 00:20:02 wnder Exp $
+ *   $Id: conf.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_conf_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/include/iauth.h ircby-0.5-RC3/iauth/include/iauth.h
--- ircd-hybrid-7.0.1/iauth/include/iauth.h	Sun Dec 17 21:01:39 2000
+++ ircby-0.5-RC3/iauth/include/iauth.h	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: iauth.h,v 7.5 2000/12/18 02:01:39 cosine Exp $
+ *   $Id: iauth.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_iauth_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/include/log.h ircby-0.5-RC3/iauth/include/log.h
--- ircd-hybrid-7.0.1/iauth/include/log.h	Sun Dec 17 21:01:39 2000
+++ ircby-0.5-RC3/iauth/include/log.h	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: log.h,v 7.1 2000/12/18 02:01:39 cosine Exp $
+ *   $Id: log.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_log_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/include/match.h ircby-0.5-RC3/iauth/include/match.h
--- ircd-hybrid-7.0.1/iauth/include/match.h	Sun Dec 17 21:01:39 2000
+++ ircby-0.5-RC3/iauth/include/match.h	Tue Mar 30 11:04:25 2004
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: match.h,v 7.1 2000/12/18 02:01:39 cosine Exp $
+ *   $Id: match.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 #ifndef INCLUDED_match_h
 #define INCLUDED_match_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/include/misc.h ircby-0.5-RC3/iauth/include/misc.h
--- ircd-hybrid-7.0.1/iauth/include/misc.h	Mon Sep 13 15:16:09 1999
+++ ircby-0.5-RC3/iauth/include/misc.h	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: misc.h,v 7.3 1999/09/13 19:16:09 wnder Exp $
+ *   $Id: misc.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_misc_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/include/mtree.h ircby-0.5-RC3/iauth/include/mtree.h
--- ircd-hybrid-7.0.1/iauth/include/mtree.h	Sun Jan  9 00:59:10 2000
+++ ircby-0.5-RC3/iauth/include/mtree.h	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: mtree.h,v 7.5 2000/01/09 05:59:10 wnder Exp $
+ *   $Id: mtree.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_mtree_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/include/res.h ircby-0.5-RC3/iauth/include/res.h
--- ircd-hybrid-7.0.1/iauth/include/res.h	Fri Sep 10 14:14:30 1999
+++ ircby-0.5-RC3/iauth/include/res.h	Tue Mar 30 11:04:25 2004
@@ -1,7 +1,7 @@
 /*
  * iauth/res.h (C)opyright 1992 Darren Reed.
  *
- * $Id: res.h,v 7.2 1999/09/10 18:14:30 wnder Exp $
+ * $Id: res.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_res_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/include/sock.h ircby-0.5-RC3/iauth/include/sock.h
--- ircd-hybrid-7.0.1/iauth/include/sock.h	Tue Jan  4 19:20:03 2000
+++ ircby-0.5-RC3/iauth/include/sock.h	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: sock.h,v 7.4 2000/01/05 00:20:03 wnder Exp $
+ *   $Id: sock.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_sock_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/source/auth.c ircby-0.5-RC3/iauth/source/auth.c
--- ircd-hybrid-7.0.1/iauth/source/auth.c	Thu Jan 10 15:45:13 2002
+++ ircby-0.5-RC3/iauth/source/auth.c	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *  $Id: auth.c,v 7.9 2002/01/10 20:45:13 jmallett Exp $
+ *  $Id: auth.c,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/source/class.c ircby-0.5-RC3/iauth/source/class.c
--- ircd-hybrid-7.0.1/iauth/source/class.c	Tue Jan  4 19:20:06 2000
+++ ircby-0.5-RC3/iauth/source/class.c	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: class.c,v 7.2 2000/01/05 00:20:06 wnder Exp $
+ *   $Id: class.c,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/source/commands.c ircby-0.5-RC3/iauth/source/commands.c
--- ircd-hybrid-7.0.1/iauth/source/commands.c	Tue Jan  4 19:20:06 2000
+++ ircby-0.5-RC3/iauth/source/commands.c	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: commands.c,v 7.3 2000/01/05 00:20:06 wnder Exp $
+ *   $Id: commands.c,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/source/conf.c ircby-0.5-RC3/iauth/source/conf.c
--- ircd-hybrid-7.0.1/iauth/source/conf.c	Sat Jan  8 16:38:49 2000
+++ ircby-0.5-RC3/iauth/source/conf.c	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: conf.c,v 7.6 2000/01/08 21:38:49 wnder Exp $
+ *   $Id: conf.c,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/source/iauth.c ircby-0.5-RC3/iauth/source/iauth.c
--- ircd-hybrid-7.0.1/iauth/source/iauth.c	Sat May 26 11:45:37 2001
+++ ircby-0.5-RC3/iauth/source/iauth.c	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: iauth.c,v 7.5 2001/05/26 15:45:37 cosine Exp $
+ *   $Id: iauth.c,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/source/log.c ircby-0.5-RC3/iauth/source/log.c
--- ircd-hybrid-7.0.1/iauth/source/log.c	Sun Dec 17 21:01:40 2000
+++ ircby-0.5-RC3/iauth/source/log.c	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: log.c,v 1.1 2000/12/18 02:01:40 cosine Exp $
+ *   $Id: log.c,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/source/match.c ircby-0.5-RC3/iauth/source/match.c
--- ircd-hybrid-7.0.1/iauth/source/match.c	Sun Dec 17 21:01:40 2000
+++ ircby-0.5-RC3/iauth/source/match.c	Tue Mar 30 11:04:25 2004
@@ -22,7 +22,7 @@
  * Cleanup of collapse and match
  * Moved static calls variable to match
  * Added asserts for null pointers
- * $Id: match.c,v 1.1 2000/12/18 02:01:40 cosine Exp $
+ * $Id: match.c,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  *
  */
 
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/source/misc.c ircby-0.5-RC3/iauth/source/misc.c
--- ircd-hybrid-7.0.1/iauth/source/misc.c	Sun Dec  9 22:15:02 2001
+++ ircby-0.5-RC3/iauth/source/misc.c	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: misc.c,v 7.5 2001/12/10 03:15:02 jdc Exp $
+ *   $Id: misc.c,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/source/mtree.c ircby-0.5-RC3/iauth/source/mtree.c
--- ircd-hybrid-7.0.1/iauth/source/mtree.c	Thu Jan 10 15:45:13 2002
+++ ircby-0.5-RC3/iauth/source/mtree.c	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: mtree.c,v 7.8 2002/01/10 20:45:13 jmallett Exp $
+ *   $Id: mtree.c,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 /*
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/source/res.c ircby-0.5-RC3/iauth/source/res.c
--- ircd-hybrid-7.0.1/iauth/source/res.c	Tue Jan  9 20:00:22 2001
+++ ircby-0.5-RC3/iauth/source/res.c	Tue Mar 30 11:04:25 2004
@@ -4,7 +4,7 @@
  * shape or form. The author takes no responsibility for any damage or loss
  * of property which results from the use of this software.
  *
- * $Id: res.c,v 7.4 2001/01/10 01:00:22 toot Exp $
+ * $Id: res.c,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  *
  * July 1999 - Rewrote a bunch of stuff here. Change hostent builder code,
  *     added callbacks and reference counting of returned hostents.
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/iauth/source/sock.c ircby-0.5-RC3/iauth/source/sock.c
--- ircd-hybrid-7.0.1/iauth/source/sock.c	Thu Jan 10 15:45:13 2002
+++ ircby-0.5-RC3/iauth/source/sock.c	Tue Mar 30 11:04:25 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: sock.c,v 7.10 2002/01/10 20:45:13 jmallett Exp $
+ *   $Id: sock.c,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/balloc.h ircby-0.5-RC3/include/balloc.h
--- ircd-hybrid-7.0.1/include/balloc.h	Fri Jul 12 12:14:04 2002
+++ ircby-0.5-RC3/include/balloc.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: balloc.h,v 1.12 2002/07/12 16:14:04 androsyn Exp $
+ *  $Id: balloc.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_blalloc_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/channel.h ircby-0.5-RC3/include/channel.h
--- ircd-hybrid-7.0.1/include/channel.h	Fri Jan 31 18:00:25 2003
+++ ircby-0.5-RC3/include/channel.h	Thu Jun  3 13:21:51 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: channel.h,v 7.124 2003/01/31 23:00:25 db Exp $
+ *  $Id: channel.h,v 1.2 2004/06/03 17:21:51 newiceman Exp $
  */
 
 #ifndef INCLUDED_channel_h
@@ -28,7 +28,7 @@
 #include "ircd_defs.h"        /* buffer sizes */
 
 /* Efnet wanted this... Maybe we should do this from configure? */
-#define REQUIRE_OANDV
+#define REQUIRE_OANDV 
 
 /* #define INTENSIVE_DEBUG */
 
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/channel_mode.h ircby-0.5-RC3/include/channel_mode.h
--- ircd-hybrid-7.0.1/include/channel_mode.h	Mon Oct 28 16:09:20 2002
+++ ircby-0.5-RC3/include/channel_mode.h	Fri Apr 30 04:23:26 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: channel_mode.h,v 7.13 2002/10/28 21:09:20 bill Exp $
+ *  $Id: channel_mode.h,v 1.2 2004/04/30 08:23:26 newiceman Exp $
  */
 
 
@@ -113,8 +113,13 @@
 #define SecretChannel(x)        ((x) && ((x)->mode.mode & MODE_SECRET))
 /* channel not shown but names are */
 #define HiddenChannel(x)        ((x) && ((x)->mode.mode & MODE_PRIVATE))
+/* changed by newiceman */
+/* #define PubChannel(x)           ((!x) || ((x)->mode.mode &\
+                                 (MODE_PRIVATE | MODE_SECRET)) == 0) 
+*/				
 #define PubChannel(x)           ((!x) || ((x)->mode.mode &\
-                                 (MODE_PRIVATE | MODE_SECRET)) == 0)
+                                 (MODE_SECRET)) == 0)
+
 #define ParanoidChannel(x)	((x) && ((x)->mode.mode &\
 			        (MODE_PRIVATE|MODE_INVITEONLY))==\
 		                (MODE_PRIVATE|MODE_INVITEONLY))
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/class.h ircby-0.5-RC3/include/class.h
--- ircd-hybrid-7.0.1/include/class.h	Sat Mar  9 16:48:35 2002
+++ ircby-0.5-RC3/include/class.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: class.h,v 7.10 2002/03/09 21:48:35 androsyn Exp $
+ *  $Id: class.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_class_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/client.h ircby-0.5-RC3/include/client.h
--- ircd-hybrid-7.0.1/include/client.h	Sat Oct 25 22:08:12 2003
+++ ircby-0.5-RC3/include/client.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: client.h,v 7.164.2.1 2003/10/26 02:08:12 db Exp $
+ *  $Id: client.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_client_h
@@ -80,7 +80,8 @@
   char id[IDLEN + 1];
   char id_key[IDLEN + 1];
   /* When did we detach from them, if they are detached... */
-  time_t            last_detach_time;
+  time_t         last_detach_time;
+  unsigned char  xlat_table;
 };
 
 struct Server
@@ -394,6 +395,11 @@
 #define TS_DOESTS       0x20000000
 #define DoesTS(x)       ((x)->tsinfo == TS_DOESTS)
 
+/* xlat table values */
+#define XLAT_PLAIN      0
+#define XLAT_KOI        1
+#define XLAT_LAT        2
+#define XLAT_MAC        3
 
 /* housekeeping flags */
 
@@ -438,6 +444,11 @@
 
 #define FLAGS_ALL	   FLAGS_SERVNOTICE
 
+/* xlat macroses */
+#define SetPlainXlat(x)       ((x)->user->xlat_table = XLAT_PLAIN)
+#define SetKoiXlat(x)         ((x)->user->xlat_table = XLAT_KOI)
+#define SetLatXlat(x)         ((x)->user->xlat_table = XLAT_LAT)
+#define SetMacXlat(x)         ((x)->user->xlat_table = XLAT_MAC)
 
 /* overflow flags */
 #define FLAGS2_EXEMPTGLINE  0x0001	/* client can't be G-lined */
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/common.h ircby-0.5-RC3/include/common.h
--- ircd-hybrid-7.0.1/include/common.h	Sat Jan  5 04:14:27 2002
+++ ircby-0.5-RC3/include/common.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: common.h,v 7.3 2002/01/05 09:14:27 a1kmm Exp $
+ *  $Id: common.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_common_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/config.h ircby-0.5-RC3/include/config.h
--- ircd-hybrid-7.0.1/include/config.h	Sat Oct 25 22:08:12 2003
+++ ircby-0.5-RC3/include/config.h	Sat Jun  5 20:16:30 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: config.h,v 7.142.2.1 2003/10/26 02:08:12 db Exp $
+ *  $Id: config.h,v 1.2 2004/06/06 00:16:30 newiceman Exp $
  */
 
 #ifndef INCLUDED_config_h
@@ -329,6 +329,7 @@
 #define TS5_ONLY
 #endif
 #endif
+
 
 /* 
  * Default pre-allocations for various things...
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/config.h.dist ircby-0.5-RC3/include/config.h.dist
--- ircd-hybrid-7.0.1/include/config.h.dist	Fri Jan 17 00:21:28 2003
+++ ircby-0.5-RC3/include/config.h.dist	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: config.h.dist,v 7.59 2003/01/17 05:21:28 db Exp $
+ *  $Id: config.h.dist,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_config_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/defaults.h ircby-0.5-RC3/include/defaults.h
--- ircd-hybrid-7.0.1/include/defaults.h	Sat Nov 23 12:12:55 2002
+++ ircby-0.5-RC3/include/defaults.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: defaults.h,v 7.6 2002/11/23 17:12:55 db Exp $
+ *  $Id: defaults.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_defaults_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/event.h ircby-0.5-RC3/include/event.h
--- ircd-hybrid-7.0.1/include/event.h	Fri Sep 20 01:31:54 2002
+++ ircby-0.5-RC3/include/event.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: event.h,v 1.13 2002/09/20 05:31:54 db Exp $
+ *  $Id: event.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_event_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/fdlist.h ircby-0.5-RC3/include/fdlist.h
--- ircd-hybrid-7.0.1/include/fdlist.h	Fri May 24 19:34:07 2002
+++ ircby-0.5-RC3/include/fdlist.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: fdlist.h,v 7.25 2002/05/24 23:34:07 androsyn Exp $
+ *  $Id: fdlist.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_fdlist_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/fileio.h ircby-0.5-RC3/include/fileio.h
--- ircd-hybrid-7.0.1/include/fileio.h	Thu May 29 01:13:23 2003
+++ ircby-0.5-RC3/include/fileio.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: fileio.h,v 7.11.4.1 2003/05/29 05:13:23 lusky Exp $
+ *  $Id: fileio.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_fileio_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/handlers.h ircby-0.5-RC3/include/handlers.h
--- ircd-hybrid-7.0.1/include/handlers.h	Sat Jan  5 04:14:28 2002
+++ ircby-0.5-RC3/include/handlers.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: handlers.h,v 7.38 2002/01/05 09:14:28 a1kmm Exp $
+ *  $Id: handlers.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_handlers_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/hash.h ircby-0.5-RC3/include/hash.h
--- ircd-hybrid-7.0.1/include/hash.h	Sat Oct 25 22:08:12 2003
+++ ircby-0.5-RC3/include/hash.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hash.h,v 7.18.4.1 2003/10/26 02:08:12 db Exp $
+ *  $Id: hash.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_hash_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/hook.h ircby-0.5-RC3/include/hook.h
--- ircd-hybrid-7.0.1/include/hook.h	Wed Oct 30 22:12:29 2002
+++ ircby-0.5-RC3/include/hook.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hook.h,v 1.15 2002/10/31 03:12:29 wiz Exp $
+ *  $Id: hook.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef __HOOK_H_INCLUDED
@@ -76,6 +76,14 @@
         char *data;
         unsigned int len;
 };
+
+struct hook_flush_linebuf_data
+{
+        struct Client *connection;
+        char *line;
+        unsigned int len;
+};
+
 
 struct hook_burst_channel
 {
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/hostmask.h ircby-0.5-RC3/include/hostmask.h
--- ircd-hybrid-7.0.1/include/hostmask.h	Wed Sep 11 11:27:07 2002
+++ ircby-0.5-RC3/include/hostmask.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hostmask.h,v 1.23 2002/09/11 15:27:07 db Exp $
+ *  $Id: hostmask.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDE_hostmask_h
